Sign in Start for free

Proxies

Get a list of Proxies

GET /api/{spaceId}/proxies

Also reachable at /api/proxies, /api/spaces/{spaceIdentifier}/proxies.

Lists all of the Proxies in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource.

Query Parameters

  • ids array of string
  • partialName string
    A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — The requested list of Proxies, sorted alphabetically by name.

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • Host string
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
    • Password sensitive value
    • Port integer
    • ProxyType string
    • SpaceId string
    • Username string
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "Host": "string",
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string",
      "Password": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "Port": 0,
      "ProxyType": "string",
      "SpaceId": "Spaces-1",
      "Username": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a Proxy in the specified Space

POST /api/{spaceId}/proxies

Also reachable at /api/proxies, /api/spaces/{spaceIdentifier}/proxies.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource.

Request Body

  • Host string (required)
    Minimum length 1.
  • Name string (required)
    Minimum length 1.
  • Password sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • Port integer (required)
    Minimum 0. Maximum 65535.
  • ProxyType string
    The type of proxy. Currently only HTTP is supported.
  • SpaceId string (required)
    The ID of the space containing the resource.
  • Username string

Response

201 — Created

  • Host string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • Password sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • Port integer
  • ProxyType string
  • SpaceId string
  • Username string

Example Request

JSON
{
  "Host": "string",
  "Name": "string",
  "Password": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "Port": 0,
  "ProxyType": "string",
  "SpaceId": "Spaces-1",
  "Username": "string"
}

Example Response

JSON
{
  "Host": "string",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "Password": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "Port": 0,
  "ProxyType": "string",
  "SpaceId": "Spaces-1",
  "Username": "string"
}

Get a list of Proxies

GET /api/{spaceId}/proxies/all

Also reachable at /api/proxies/all, /api/spaces/{spaceIdentifier}/proxies/all.

Lists the name and ID of all of the Proxies in the supplied Octopus Deploy Space. The results will be sorted by name.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource.

Response

200 — The name and ID of all Proxies in the supplied Octopus Deploy Space, sorted by name.

  • Host string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • Password sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • Port integer
  • ProxyType string
  • SpaceId string
  • Username string

Example Response

JSON
[
  {
    "Host": "string",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string",
    "Password": {
      "HasValue": true,
      "Hint": "string",
      "NewValue": "string"
    },
    "Port": 0,
    "ProxyType": "string",
    "SpaceId": "Spaces-1",
    "Username": "string"
  }
]

Get a Proxy by ID

GET /api/{spaceId}/proxies/{id}

Also reachable at /api/proxies/{id}, /api/spaces/{spaceIdentifier}/proxies/{id}.

Path Parameters

  • id string (required)
    ID of the Proxy to load.
  • spaceId string (required)
    The ID of the space containing the resource.

Response

200 — The requested Proxy

  • Host string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • Password sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • Port integer
  • ProxyType string
  • SpaceId string
  • Username string

Example Response

JSON
{
  "Host": "string",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "Password": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "Port": 0,
  "ProxyType": "string",
  "SpaceId": "Spaces-1",
  "Username": "string"
}

Modify the specified Proxy in the specified Space

PUT /api/{spaceId}/proxies/{id}

Also reachable at /api/proxies/{id}, /api/spaces/{spaceIdentifier}/proxies/{id}.

Path Parameters

  • id string (required)
    ID of the Proxy to modify.
  • spaceId string (required)
    The ID of the Space containing the Proxy to modify.

Request Body

  • Host string (required)
    Minimum length 1.
  • Id string (required)
    ID of the Proxy to modify.
  • Name string (required)
    Minimum length 1.
  • Password sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • Port integer (required)
    Minimum 0. Maximum 65535.
  • ProxyType string
    The type of proxy. Currently only HTTP is supported.
  • SpaceId string (required)
    The ID of the Space containing the Proxy to modify.
  • Username string

Response

200 — The modified Proxy

  • Host string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • Password sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • Port integer
  • ProxyType string
  • SpaceId string
  • Username string

Example Request

JSON
{
  "Host": "string",
  "Id": "Proxys-1",
  "Name": "string",
  "Password": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "Port": 0,
  "ProxyType": "string",
  "SpaceId": "Spaces-1",
  "Username": "string"
}

Example Response

JSON
{
  "Host": "string",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "Password": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "Port": 0,
  "ProxyType": "string",
  "SpaceId": "Spaces-1",
  "Username": "string"
}

Delete an existing Proxy by Id

DELETE /api/{spaceId}/proxies/{id}

Also reachable at /api/proxies/{id}, /api/spaces/{spaceIdentifier}/proxies/{id}.

Path Parameters

  • id string (required)
    ID of the Proxy to delete.
  • spaceId string (required)
    The ID of the space containing the resource.

Response

200 — Success